// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fDocument */
export async function update6(body: API.FDocumentUpdateVO, options?: { [key: string]: any }) {
  return request<API.RFDocument>(`/finyx/fDocument`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fDocument */
export async function save6(body: API.FDocumentSaveVO, options?: { [key: string]: any }) {
  return request<API.RFDocument>(`/finyx/fDocument`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fDocument */
export async function delete6(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fDocument`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fDocument/${param0} */
export async function get8(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get8Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFDocumentResultVO>(`/finyx/fDocument/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 批量新增 POST /fDocument/batchInsert */
export async function batchInsert(
  body: API.FDocumentBatchSaveVO,
  options?: { [key: string]: any }
) {
  return request<API.R>(`/finyx/fDocument/batchInsert`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 名称重复校验 POST /fDocument/checkName */
export async function checkName1(body: API.FDocumentUpdateVO, options?: { [key: string]: any }) {
  return request<API.R>(`/finyx/fDocument/checkName`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 复制 POST /fDocument/copy */
export async function copy8(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy8Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDocument>(`/finyx/fDocument/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fDocument/detail */
export async function getDetail8(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail8Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentResultVO>(`/finyx/fDocument/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 下载文档为Markdown GET /fDocument/downloadMarkdown */
export async function downloadMarkdown(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.downloadMarkdownParams,
  options?: { [key: string]: any }
) {
  return request<any>(`/finyx/fDocument/downloadMarkdown`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fDocument/findByIds */
export async function findByIds8(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFDocumentResultVO>(`/finyx/fDocument/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 移动类目 POST /fDocument/moveCategory */
export async function moveCategory(body: API.FDocumentUpdateVO, options?: { [key: string]: any }) {
  return request<API.R>(`/finyx/fDocument/moveCategory`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fDocument/page */
export async function page8(
  body: API.PageParamsFDocumentPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFDocumentResultVO>(`/finyx/fDocument/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 解析文档分段 POST /fDocument/parseSegMent */
export async function parseSegMent(body: API.FDocumentUpdateVO, options?: { [key: string]: any }) {
  return request<API.RListFDocumentResultVO>(`/finyx/fDocument/parseSegMent`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fDocument/query */
export async function query8(body: API.FDocumentPageQuery, options?: { [key: string]: any }) {
  return request<API.RListFDocumentResultVO>(`/finyx/fDocument/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 获取文档标签列表 POST /fDocument/queryDocumentLabelIds */
export async function queryDocumentLabelIds(
  body: API.FDocumentUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RListLong>(`/finyx/fDocument/queryDocumentLabelIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 查询标签文档列表 POST /fDocument/queryDocumentLabels */
export async function queryLabelDocuments(
  body: API.FDocumentUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RListFDocumentResultVO>(`/finyx/fDocument/queryDocumentLabels`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 编辑文档标签 POST /fDocument/updateLabels */
export async function updateLabels(
  body: API.FDocumentLabelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.R>(`/finyx/fDocument/updateLabels`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
